Get project by Id

Path Parameters
  • id
    required

    Requested projectId

    • Type: integer Format: int64

      Signed 64-bit integers (long type).

Query Parameters
  • useYzerId
    Type: boolean

    Flag indicating usage of id

  • useYad2CrmId
    Type: boolean

    Flag indicating usage of id

Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/api/projects/{id}
curl https://api.treedis.com/v1/api/projects/1 \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "status": 200,
  "message": "string",
  "timestamp": 1616146262053,
  "data": {
    "id": 1,
    "slug": "sample-title",
    "title": "Mock Project 1",
    "subTitle": "Mock Project 1 Subtitle",
    "logo": "/projects/56/assets/gallery/803b9c6c-8743-47b0-862e-78295faa96da.webp",
    "mainImage": "/projects/56/assets/gallery/803b9c6c-8743-47b0-862e-78295faa96da.webp",
    "hoverImage": "/projects/56/assets/gallery/803b9c6c-8743-47b0-862e-78295faa96da.webp",
    "description": "Description for Mock Project 1",
    "address": "Address for mock",
    "lng": 10,
    "lat": 20,
    "type": [
      "seaside"
    ],
    "dealType": "rent",
    "status": "realEstate",
    "emails": [
      "contact1@example.com",
      "contact2@example.com"
    ],
    "phoneMobile": "123-456-7890",
    "phoneDesktop": "123-456-7890",
    "contactName": "Mr. Contact",
    "specifications": [
      "Specification 1",
      "Specification 2",
      "Specification 3"
    ],
    "apartmentSpecifications": [
      "Specification 1",
      "Specification 2",
      "Specification 3"
    ],
    "completionDate": "2024-12-31",
    "orderType": "combined",
    "yad2StreetId": 1,
    "yad2HoodId": 1,
    "yad2CityId": 1,
    "yad2AreaId": 1,
    "yad2TopAreaId": 1,
    "yad2AddressMasterId": null,
    "yad2GushId": null,
    "yad2ChelkaId": null,
    "houseNumber": null,
    "buildings": null,
    "apartments": null,
    "floors": null,
    "yad2NoAmId": null,
    "vPhoneReSatira": null,
    "vPhoneYad2Publish": null,
    "yzerId": null,
    "products": [
      1
    ],
    "promotions": true,
    "promotionalLabel": "Promotional Label",
    "isIsrael": false,
    "yad2Street": "string",
    "yad2Hood": "string",
    "yad2City": "string",
    "yad2Area": "string",
    "yad2TopArea": "string",
    "yad2CrmId": "string",
    "assetUpdatedAt": "2024-08-08T07:58:33.911Z",
    "projectUpdatedAt": "2024-08-08T07:58:33.911Z",
    "backgroundPath": "",
    "backgroundType": "multires",
    "decorationPath": "",
    "decorationType": "tiles",
    "boosted": false,
    "immediateOccupancy": true,
    "propsConfigPath": "",
    "users": [
      {
        "id": 1,
        "yad2Id": 9999,
        "logo": "yad_logo_2.png",
        "logoUrl": "/users/1/yad_logo_2.png",
        "name": "John Doe",
        "yad2Subscription": true
      }
    ],
    "clients": [
      {
        "id": 1,
        "logo": "yad_logo_2.png",
        "description": "string",
        "logoUrl": "/clients/1/yad_logo_2.png",
        "name": "John Doe"
      }
    ],
    "assets": [
      {
        "id": 1,
        "projectId": 1,
        "polygonId": 1,
        "listingId": 1,
        "title": "string",
        "type": "gallery",
        "filePath": "8f490faf-e9a9-4a7f-81be-45a9826190f8.jpeg",
        "url": "/projects/56/assets/gallery/8f490faf-e9a9-4a7f-81be-45a9826190f8.jpeg",
        "urlSmall": "/projects/56/assets/gallery/8f490faf-e9a9-4a7f-81be-45a9826190f8_small.jpeg",
        "urlMedium": "/projects/56/assets/gallery/8f490faf-e9a9-4a7f-81be-45a9826190f8_medium.jpeg",
        "urlLarge": "/projects/56/assets/gallery/8f490faf-e9a9-4a7f-81be-45a9826190f8_large.jpeg",
        "order": 1,
        "isMain": false,
        "yad2CrmId": "a0EPt000003LqRoMAK"
      }
    ],
    "timelines": [
      {
        "id": 1,
        "projectId": 1,
        "title": "string",
        "description": "string",
        "date": "2026-07-16T12:25:22.446Z"
      }
    ],
    "projectPromotions": [
      {
        "id": 1,
        "projectId": 1,
        "name": "string",
        "description": "string",
        "bgColor": "string",
        "bgType": "string",
        "bgIcon": "string",
        "bgImage": "string",
        "createdAt": "2024-08-08T07:58:33.911Z",
        "updatedAt": "2024-08-08T07:58:33.911Z"
      }
    ],
    "objects": [
      {
        "id": 1,
        "name": "Object 1",
        "showcaseEntityType": "tileset",
        "projectId": 101,
        "scaleX": 1,
        "scaleY": 1,
        "scaleZ": 1,
        "positionX": 0,
        "positionY": 0,
        "positionZ": 0,
        "rotationX": 0,
        "rotationY": 0,
        "rotationZ": 0,
        "asset": [
          1,
          2,
          3
        ],
        "metadata": [
          {}
        ],
        "createdAt": "2024-08-19T10:00:00.000Z",
        "updatedAt": "2024-08-19T10:00:00.000Z"
      }
    ],
    "polygons": [
      {
        "id": 1,
        "projectId": 1,
        "name": "Polygon 1",
        "scaleX": 1,
        "scaleY": 1,
        "scaleZ": 1,
        "positionX": 0,
        "positionY": 0,
        "positionZ": 0,
        "rotationX": 0,
        "rotationY": 0,
        "rotationZ": 0,
        "projectObjectId": 57,
        "rooms": 2,
        "number": 48,
        "livingArea": 127.5,
        "balconyArea": 13.3,
        "balconyMetadata": {
          "orientation": "south",
          "features": [
            "covered",
            "garden_access"
          ],
          "dimensions": {
            "length": 4.5,
            "width": 2.8
          }
        },
        "price": 1,
        "priceBy": "TOTAL",
        "minFloor": 7,
        "maxFloor": 7,
        "status": "available",
        "type": "apartment",
        "isPublic": true,
        "assets": [
          {
            "id": 1,
            "projectId": 1,
            "polygonId": 1,
            "listingId": 1,
            "title": "string",
            "type": "gallery",
            "filePath": "8f490faf-e9a9-4a7f-81be-45a9826190f8.jpeg",
            "url": "/projects/56/assets/gallery/8f490faf-e9a9-4a7f-81be-45a9826190f8.jpeg",
            "urlSmall": "/projects/56/assets/gallery/8f490faf-e9a9-4a7f-81be-45a9826190f8_small.jpeg",
            "urlMedium": "/projects/56/assets/gallery/8f490faf-e9a9-4a7f-81be-45a9826190f8_medium.jpeg",
            "urlLarge": "/projects/56/assets/gallery/8f490faf-e9a9-4a7f-81be-45a9826190f8_large.jpeg",
            "order": 1,
            "isMain": false,
            "yad2CrmId": "a0EPt000003LqRoMAK"
          }
        ],
        "shelter": false,
        "elevator": true,
        "buildingNumber": 1,
        "showPrice": true,
        "tourUrl": "string",
        "createdAt": "2024-08-19T10:00:00.000Z",
        "updatedAt": "2024-08-19T10:00:00.000Z"
      }
    ],
    "listings": [
      {
        "id": 1,
        "projectId": 1,
        "name": "Listing 1",
        "scaleX": 1,
        "scaleY": 1,
        "scaleZ": 1,
        "positionX": 0,
        "positionY": 0,
        "positionZ": 0,
        "rotationX": 0,
        "rotationY": 0,
        "rotationZ": 0,
        "projectObjectId": 57,
        "rooms": 2,
        "number": 48,
        "livingArea": 127.5,
        "balconyArea": 13.3,
        "balconyMetadata": {
          "orientation": "south",
          "features": [
            "covered",
            "garden_access"
          ],
          "dimensions": {
            "length": 4.5,
            "width": 2.8
          }
        },
        "price": 1,
        "priceBy": "TOTAL",
        "minFloor": 7,
        "maxFloor": 7,
        "status": "available",
        "type": "apartment",
        "isPublic": true,
        "assets": [
          {
            "id": 1,
            "projectId": 1,
            "polygonId": 1,
            "listingId": 1,
            "title": "string",
            "type": "gallery",
            "filePath": "8f490faf-e9a9-4a7f-81be-45a9826190f8.jpeg",
            "url": "/projects/56/assets/gallery/8f490faf-e9a9-4a7f-81be-45a9826190f8.jpeg",
            "urlSmall": "/projects/56/assets/gallery/8f490faf-e9a9-4a7f-81be-45a9826190f8_small.jpeg",
            "urlMedium": "/projects/56/assets/gallery/8f490faf-e9a9-4a7f-81be-45a9826190f8_medium.jpeg",
            "urlLarge": "/projects/56/assets/gallery/8f490faf-e9a9-4a7f-81be-45a9826190f8_large.jpeg",
            "order": 1,
            "isMain": false,
            "yad2CrmId": "a0EPt000003LqRoMAK"
          }
        ],
        "shelter": false,
        "elevator": true,
        "buildingNumber": 1,
        "showPrice": true,
        "tourUrl": "string",
        "description": "string",
        "features": [
          "parking",
          "elevator",
          "ac"
        ],
        "createdAt": "2024-08-19T10:00:00.000Z",
        "updatedAt": "2024-08-19T10:00:00.000Z"
      }
    ],
    "createdAt": "2024-08-08T07:58:33.911Z",
    "updatedAt": "2024-08-08T07:58:33.911Z"
  }
}